/* ------ General ------ */
* {
    box-sizing: border-box;
}

body {
    margin: 40px 0 0;
    padding: 0;
    font-family: "SF Pro Text", sans-serif;
    font-weight: 500;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    background-color: #E4E4E4;
}


a:-webkit-any-link {
    text-decoration: none; /* per non sottolineare il contenuto di un Link (quindi una a) */
}

.container {
    padding: 20px;
    min-height: 100vh;
}

.btn {
    border-width: 0;
    border-radius: 8px;
    width: 100%;
    padding: 10px;
    font-weight: bold;
    color: white;
    text-transform: uppercase; /* trasforma il testo in maiuscolo */
    cursor: pointer;
}

.btn:disabled {
    opacity: 0.5; /* trasparente al 50% */
    cursor: default;
}

.btn.btn-primary {
    background-color: #007AFF;
}

.btn.btn-danger {
    background-color: #C52828;
}

/* ------ Footer ------ */
.footer {
    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 20px;
}

/* ------ Header ------ */
.header {
    background: rgb(247, 247, 247);
    display: grid;
    grid-column-gap: 10px; /* inserisci uno spazio tra le colonne */
    grid-template-columns: 1fr 1fr 1fr;
    padding: 10px 20px;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
}

.header .header-title {
    text-align: center;
    overflow: hidden; /* 1. utilizzato per i ... se il testo esce al di fuori del contenitore */
    white-space: nowrap; /* 2. utilizzato per i ... se il testo esce al di fuori del contenitore */
    text-overflow: ellipsis; /* 3. utilizzato per i ... se il testo esce al di fuori del contenitore */
}

.header .header-prev {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.header .header-prev a {
    color: rgb(33, 125, 255) !important;
}

.header .header-prev .icon {
    margin-right: 10px;
}

.header .header-actions {
    text-align: right;
}

.header .header-actions .icon {
    cursor: pointer;
    margin-left: 30px;
    color: rgb(33, 125, 255);
}

/* ------ Form ------ */
form .form-input {
    display: flex; /* voglio usare Flexbox per posizionare gli elementi al suo interno */
    flex-direction: column; /* voglio posizionare gli lementi interni in verticale */
    margin-bottom: 20px;
}

form .form-input label {
    font-size: 12px;
    font-weight: bold;
    margin-bottom: 10px;
    color: rgba(60, 60, 67, 0.6);
}

form .form-input input {
    height: 45px;
    border: 1px solid #979797;
    border-radius: 4px;
    padding: 10px;
}

/* ------ Lists ------ */
.lists-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-auto-rows: max-content;
    grid-row-gap: 20px;
    grid-column-gap: 20px;
}

.lists-container .list {
    background-color: white;
    border-radius: 8px;
    padding: 10px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.17);
    display: flex;
    flex-direction: column;
    justify-content: left;
}

.lists-container .list .list-color {
    height: 30px;
    width: 30px;
    min-width: 30px;
    min-height: 30px;
    border-radius: 50%;
}

.lists-container .list .list-body {
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
}

.lists-container .list .list-name {
    color: #454545;
    font-weight: 600;
    font-size: 14px;
    line-height: 16px;
    padding-right: 20px;
    height: 32px;
    display: block;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.lists-container .list .list-count {
    text-decoration: none !important;
    font-weight: 600;
    font-size: 14px;
    color: #9A9A9A;
}

/* ------ Reminders ------ */
.reminders-container {
}

.reminders-container .no-reminder {
    padding: 20px;
    text-align: center;
}

.reminders-container .reminder {
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
    background-color: white;
    border-bottom: 1px solid #E4E4E4;
}

.reminders-container .reminder .reminder-body {
    width: 100%;
    display: flex;
    flex-direction: column;
    height: 45px;
}

.reminders-container .reminder .reminder-body .reminder-title {
}

.reminders-container .reminder .reminder-body .reminder-desc {
    margin-top: 5px;
    color: rgb(138, 138, 142);
    overflow: hidden;
    padding-right: 10px;
}

.reminders-container .reminder .reminder-check {
    height: 25px;
    width: 25px;
    min-height: 25px;
    min-width: 25px;
    border-radius: 50%;
    border: 2px solid #979797;
    margin-right: 20px;
}

.reminders-container .reminder .reminder-arrow {
    text-align: right;
    color: rgb(138, 138, 142);
}

/* ------ List Detail ------ */
.list-detail-container {
    background: white;
}

.colors {
    display: grid; /* utilizza Grid Layout per il positioning */
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr; /* crea 5 colonne uguali e disponi gli elementi all'interno */
    row-gap: 20px; /* inserisci uno spazio tra le righe */
}

.colors .color {
    height: 35px;
    width: 35px;
    border-radius: 50%;
    cursor: pointer; /* mostra manina invece che la freccia del cursore all'hover */
}

.colors .color.active {
    border: 2px solid black;
}
